# Transaction Filtering Object

| No | Name     | Type                                                          | Mandatory | Min Length | Max Length | Description                          |
| -- | -------- | ------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------ |
| 1  | accepted | Object                                                        | O         | 1          | 5          | Whitelist Rule for Credit Card       |
| 2  | rejected | Object                                                        | O         | 1          | 5          | Blacklist Rule for Credit Card       |
| 3  | point    | [Object](/api-reference/appendix/json-object/point-object.md) | O         | 1          | 3          | Transaction Filtering Point on Order |

```
"transactionFiltering": {
    "accepted": {
        "cardBin" : [
            "443426",
            "512345"
        ],
        "cardType" : [

        ],
        "cardBrand" : [

        ],
        "cardIssuingName" : [

        ],
        "cardIssuingCountry" : [

        ]
    },
    "rejected": {
        "cardBin" : [
            "443426",
            "512345"
        ],
        "cardType" : [

        ],
        "cardBrand" : [

        ],
        "cardIssuingName" : [

        ],
        "cardIssuingCountry" : [

        ]
    },
    "point": {
        "last4": "1234",
        "ownedPoints": "9999",
        "rule": [
            {
                "cardBin": "454178001",
                "pointToIdr": "5",
                "min": {
                    "amount": "20000"
                },
                "max": {
                    "amount": "150000",
                    "disc": "50"
                }
            },
            {
                "cardBin": "454179002",
                "pointToIdr": "5",
                "min": {
                    "amount": "20000"
                },
                "max": {
                    "amount": "150000",
                    "disc": "50"
                }
            }
        ]
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/transaction-filtering-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
